| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsThumbWheel Class Reference
Inheritance diagram for GlsThumbWheel:

## Public Member Functions
| GlsThumbWheel ()
| GlsThumbWheel (GlsThumbWheel &src)
| GlsThumbWheel (DisplayObjectArray *objs)
bool | ContinuousDrag ()
void | ContinuousDrag (bool wrap)
bool | EmitDetentValEvent ()
void | EmitDetentValEvent (bool emitEvent)
bool | EmitLimitEvent ()
void | EmitLimitEvent (bool emitEvent)
bool | EmitReleaseEvent ()
void | EmitReleaseEvent (bool emitEvent)
unsigned int | InitialVal ()
void | InitialVal (unsigned int detent)
unsigned int | NumberOfDetents ()
void | NumberOfDetents (unsigned int detents)
unsigned int | SoundIndex ()
void | SoundIndex (unsigned int index)
int | WhichObjectOdometer ()
void | WhichObjectOdometer (int index)
int | WhichObjectThumbWheel ()
void | WhichObjectThumbWheel (int index)
Public Member Functions inherited from Group
| Group ()
| Group (DisplayObjectArray *objs)
void | Ungroup ()
void | InsertObject (DisplayObject *obj, bool reparent=true, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION, bool renameName=false)
void | InsertObjectAllowDuplicateNames (DisplayObject *obj, bool reparent=true, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION)
void | MoveObjectToGroup (DisplayObject *obj, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION, bool renameName=false)
void | MoveObjectToGroupAllowDuplicateNames (DisplayObject *obj, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION)
void | ReorderObject (unsigned int oldIndex, unsigned int newIndex)
DisplayObjectArray * | GetObjectList ()
DisplayObject * | GetObjectByIndex (unsigned int index)
unsigned int | Count ()
void | CalculateTextureCoordinates (void)
void | SetGroupLocation (Vertex &v)
void | CalculateBoundingBox ()
unsigned int | GetCount ()
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsThumbWheel * | CastToGlsThumbWheel (DisplayObject *obj)
Static Public Member Functions inherited from Group
static Group * | CastToGroup (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from Group
static int | DEFAULT_GROUP_LOCATION = -1
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python extension used to modify and create GlsThumbWheel editor objects.

## Constructor & Destructor Documentation

## ◆ GlsThumbWheel() [1/3]

GlsThumbWheel::GlsThumbWheel | ( |  | ) |

default constructor

## ◆ GlsThumbWheel() [2/3]

GlsThumbWheel::GlsThumbWheel | ( | GlsThumbWheel & | src | ) |

copy constructor

## ◆ GlsThumbWheel() [3/3]

GlsThumbWheel::GlsThumbWheel | ( | DisplayObjectArray * | objs | ) |

Convert-to-GlsThumbWheel constructor.

Parameters

  objs | Array of display objects to be combined into the Thumb Wheel

## Member Function Documentation

## ◆ CastToGlsThumbWheel()

static GlsThumbWheel * GlsThumbWheel::CastToGlsThumbWheel | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsThumbWheel NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | objects to cast

Returns
  GlsThumbWheel the GlsThumbWheel

Exceptions

  CEIException |

## ◆ ContinuousDrag() [1/2]

bool GlsThumbWheel::ContinuousDrag | ( |  | ) |

Gets the wheel wrap flag.

Returns
  If the thumb wheel will wrap around when a limit is reached.

## ◆ ContinuousDrag() [2/2]

void GlsThumbWheel::ContinuousDrag | ( | bool | wrap | ) |

Sets the wheel wrap flag.

Parameters

  wrap | True if the thumb wheel should wrap around when a limit is reached.

## ◆ EmitDetentValEvent() [1/2]

bool GlsThumbWheel::EmitDetentValEvent | ( |  | ) |

Gets the emit event on value change flag.

Returns
  Whether or not an event is emitted when the wheel value changes.

## ◆ EmitDetentValEvent() [2/2]

void GlsThumbWheel::EmitDetentValEvent | ( | bool | emitEvent | ) |

Sets the emit event on value change flag.

Parameters

  emitEvent | True if an event should be emitted when the wheel value changes.

## ◆ EmitLimitEvent() [1/2]

bool GlsThumbWheel::EmitLimitEvent | ( |  | ) |

Gets the emit event on limit flag.

Returns
  Whether or not an event is emitted when a limit is reached.

## ◆ EmitLimitEvent() [2/2]

void GlsThumbWheel::EmitLimitEvent | ( | bool | emitEvent | ) |

Sets the emit event on limit flag.

Parameters

  emitEvent | True if an event should be emitted when a limit is reached.

## ◆ EmitReleaseEvent() [1/2]

bool GlsThumbWheel::EmitReleaseEvent | ( |  | ) |

Gets the emit event on defocus flag.

Returns
  Whether or not an event is emitted when the wheel loses focus.

## ◆ EmitReleaseEvent() [2/2]

void GlsThumbWheel::EmitReleaseEvent | ( | bool | emitEvent | ) |

Sets the emit event on defocus flag.

Parameters

  emitEvent | True if an event should be emitted when the wheel loses focus.

## ◆ InitialVal() [1/2]

unsigned int GlsThumbWheel::InitialVal | ( |  | ) |

Gets the initial value.

Returns
  The initial value of the wheel.

## ◆ InitialVal() [2/2]

void GlsThumbWheel::InitialVal | ( | unsigned int | detent | ) |

Sets the initial value.

Parameters

  detent | The new initial value of the wheel.

## ◆ NumberOfDetents() [1/2]

unsigned int GlsThumbWheel::NumberOfDetents | ( |  | ) |

Gets the number of detents.

Returns
  The number of detents on the wheel.

## ◆ NumberOfDetents() [2/2]

void GlsThumbWheel::NumberOfDetents | ( | unsigned int | detents | ) |

Sets the number of detents.

Parameters

  detents | The new number of detents on the wheel.

## ◆ SoundIndex() [1/2]

unsigned int GlsThumbWheel::SoundIndex | ( |  | ) |

Gets the index into the sound list.

Returns
  The index of the sound to play when this wheel's value changes.

## ◆ SoundIndex() [2/2]

void GlsThumbWheel::SoundIndex | ( | unsigned int | index | ) |

Sets the index into the sound list.

Parameters

  index | The new index of the sound to play when this wheel's value changes.

## ◆ WhichObjectOdometer() [1/2]

int GlsThumbWheel::WhichObjectOdometer | ( |  | ) |

Gets the odometer index.

Returns
  The object index in the group to be the odometer (if there is one).

## ◆ WhichObjectOdometer() [2/2]

void GlsThumbWheel::WhichObjectOdometer | ( | int | index | ) |

Sets the odometer index.

Parameters

  index | The new object index in the group to be the odometer.

## ◆ WhichObjectThumbWheel() [1/2]

int GlsThumbWheel::WhichObjectThumbWheel | ( |  | ) |

Gets the thumbwheel index.

Returns
  The object index in the group to be the thumbwheel.

## ◆ WhichObjectThumbWheel() [2/2]

void GlsThumbWheel::WhichObjectThumbWheel | ( | int | index | ) |

Sets the thumbwheel index.

Parameters

  index | The new object index in the group to be the thumbwheel.

The documentation for this class was generated from the following file:

- GlsThumbWheel.i